commit:     62be3c6b2d7e74be2a38720738dc20b3adf7b568
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 23 10:25:39 2017 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Jun 23 10:28:23 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=62be3c6b

app-emulation/playonlinux: Version bump

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 app-emulation/playonlinux/Manifest                 |   1 +
 .../playonlinux/playonlinux-4.2.12.ebuild          | 116 +++++++++++++++++++++
 2 files changed, 117 insertions(+)

diff --git a/app-emulation/playonlinux/Manifest 
b/app-emulation/playonlinux/Manifest
index e2ffbca4cf0..3b90a2707f8 100644
--- a/app-emulation/playonlinux/Manifest
+++ b/app-emulation/playonlinux/Manifest
@@ -1,5 +1,6 @@
 DIST PlayOnLinux_4.2.10.tar.gz 3202085 SHA256 
f524905912ae2b17c8544968a8554d635f8fc4cd3b220c0ae15c49d51f244973 SHA512 
8d5477b8478e05e1a1974d17466a6ac0d79617b2056a1e6bf0f8dad067a1475a99008bbca52d565686e46b003cc14300306fc11d043e20773f93d1ab7b34ae58
 WHIRLPOOL 
c75f00974a2ef6043405911f4c5313294d4f8f6ab4f64a77ed2b9e148770b5d43bf1c4a934b0e27663b159841d26a908159cb3445d13b0e0b810c98fd5e68d59
 DIST PlayOnLinux_4.2.11.tar.gz 3204225 SHA256 
a55e2f07240baa8f152032997c6aad203e1cfbf8ba086fd0744f1ee1868408d2 SHA512 
9ee2df6a4eb9e18097cea63995888b0bc46e596db639da0c6ac393c92dc135cb9c62c45f25998e5384157d12b6fc2b2fc6b78925d20cf0980527776ec6f20dd1
 WHIRLPOOL 
aec82fdaa545089a03d2f6a4089ba83e7c1a926272d28ecf3a445d9be884ea885439a1de0dc517ac845c7a5cf13bf3338a3e5dc80783676a7ce6741d557818ab
+DIST PlayOnLinux_4.2.12.tar.gz 3204230 SHA256 
38cbdc85cca83b72ed0e54ee3a768f939fefe29d3670fc5d76b0303b5bda680e SHA512 
f4ededc8fe0117c66fd5672e136e19b9b48a41acdd3e1b1b3dd7fae2c354e77795f0a4f8286b09b7d1813363aee50fa0811c04c3194aaf745963a2e6115b3909
 WHIRLPOOL 
d66b09c49d530efe7eba37e43fc4789013a0ec8cd532e56c83e558ef304abc00fb427789786de9eaef28046713360f3511c18a5fb746a749bd96b8cc7130b3c5
 DIST PlayOnLinux_4.2.4.tar.gz 4638249 SHA256 
cc6f9c41c9f91278d995d14b7be6bd86c765cf41351c80e885df29da40b57554 SHA512 
1f200e43da4e43b6687cc05243cb9375d312c5382d4d82f06f574cc4a1a4322568ed429abc463d830cfcc1a818d0cc93147fbc60858a6b19872b55a479c8c58c
 WHIRLPOOL 
d09c5439a618d99af0ae380cb39a8e92acd47869190f984981e9cdc91272da48c6731457d0a23383c47219371bdf9d6018fe89a7acaaba32fc96221b58406d99
 DIST PlayOnLinux_4.2.6.tar.gz 3202517 SHA256 
34fc06ce55f889673529a405d17ffc045a68cc998a679377056ed63988dd64e2 SHA512 
41c4af5335874020f6405f460a0b9787f7dcfb77790661ff254d2af7ff107a94020b75a8b4f1856f1e4b866e63dee49d5823edf4867d64cd20c41b17387f5490
 WHIRLPOOL 
4278cc00c76abfeecb87d125046a977c69d5e62b751481ffa5ed4ca4a911507bc6b650bd8648cc7b4cd794e7f0c9e91197adc3854c963770bd87a535d83ab562
 DIST PlayOnLinux_4.2.8.tar.gz 3168086 SHA256 
2ae8d5132706f3c697d0a53573c5835938dd042b620eb76790181b285797985c SHA512 
8b9c934bf3591030dc9922757eadb09db34fee7c5a5ee8b800c831ee1b99e55959c0b66f645a89d3dc5d7287438da3a26c6877076175272e199221231accba12
 WHIRLPOOL 
cbaafa8f0f90c89931135c0fbcd91df00676fde4e0e9305a3d8f52234a51b96682e5a4aca14138f1f3f54ac43f69d38b7186667fcab97c72fa8043c3ffbd68d6

diff --git a/app-emulation/playonlinux/playonlinux-4.2.12.ebuild 
b/app-emulation/playonlinux/playonlinux-4.2.12.ebuild
new file mode 100644
index 00000000000..22de8c4535b
--- /dev/null
+++ b/app-emulation/playonlinux/playonlinux-4.2.12.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_COMPAT=( python2_7 )
+
+inherit gnome2-utils python-single-r1
+
+MY_PN="PlayOnLinux"
+
+DESCRIPTION="Set of scripts to easily install and use Windows games and 
software"
+HOMEPAGE="http://playonlinux.com/";
+SRC_URI="http://www.playonlinux.com/script_files/${MY_PN}/${PV}/${MY_PN}_${PV}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="winbind"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND=""
+RDEPEND="${PYTHON_DEPS}
+       app-arch/cabextract
+       app-arch/p7zip
+       app-arch/unzip
+       app-crypt/gnupg
+       || ( app-emulation/wine virtual/wine )
+       dev-python/wxpython:3.0[${PYTHON_USEDEP}]
+       net-misc/wget
+       x11-apps/mesa-progs
+       x11-terms/xterm
+       media-gfx/icoutils
+       || ( net-analyzer/netcat net-analyzer/netcat6 )
+       virtual/imagemagick-tools
+       winbind? ( net-fs/samba[winbind] )
+"
+
+S="${WORKDIR}/${PN}"
+
+# TODO:
+# Having a real install script
+# It will let using LANGUAGES easily
+# How to deal with Microsoft Fonts installation asked every time ?
+# How to deal with wine version installed ? (have a better mgmt of system one)
+# Look at debian pkg: http://packages.debian.org/sid/playonlinux
+
+PATCHES=(
+       "${FILESDIR}/${PN}-4.2.4-pol-bash.patch"
+       "${FILESDIR}/${PN}-4.2.4-binary-plugin.patch"
+       "${FILESDIR}/${PN}-4.2.6-stop-update-warning.patch"
+)
+
+src_prepare() {
+       default
+
+       python_fix_shebang .
+
+       # remove playonmac
+       rm etc/{playonmac.icns,terminal.applescript} || die
+
+       # remove desktop integration
+       rm 
etc/{PlayOnLinux.desktop,PlayOnLinux.directory,playonlinux-Programs.menu} || die
+}
+
+src_install() {
+       # all things without exec permissions
+       insinto "/usr/share/${PN}"
+       doins -r resources lang lib etc plugins
+
+       # bash/ install
+       exeinto "/usr/share/${PN}/bash"
+       find "${S}/bash" -type f -exec doexe '{}' +
+       exeinto "/usr/share/${PN}/bash/expert"
+       find "${S}/bash/expert" -type f -exec doexe '{}' +
+
+       # python/ install
+       python_moduleinto "/usr/share/${PN}"
+       python_domodule python
+
+       # main executable files
+       exeinto "/usr/share/${PN}"
+       doexe ${PN}{,-pkg,-bash,-shell,-url_handler}
+
+       # icons
+       doicon -s 128 etc/${PN}.png
+       for size in 16 22 32; do
+               newicon -s $size etc/${PN}$size.png ${PN}.png
+       done
+
+       doman "${FILESDIR}"/playonlinux{,-pkg}.1
+       dodoc CHANGELOG.md
+
+       make_wrapper ${PN} "./${PN}" "/usr/share/${PN}"
+       make_wrapper ${PN}-pkg "./${PN}-pkg" "/usr/share/${PN}"
+       make_desktop_entry ${PN} ${MY_PN} ${PN} Game
+}
+
+pkg_preinst() {
+       gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_prerm() {
+       if [[ -z ${REPLACING_VERSIONS} ]]; then
+               elog "Installed software and games with playonlinux have not 
been removed."
+               elog "To remove them, you can re-install playonlinux and remove 
them using it,"
+               elog "or do it manually by removing .PlayOnLinux/ in your home 
directory."
+       fi
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to